Subject: Re: bug#67334: diffoscope: missing/undetected dependencies?

From: Vagrant Cascadian <[email-masked]>
Date: Thu, 07 Mar 2024 10:38:50 -0800

On 2023-11-21, Christopher Howard wrote:
> Hi, recently I tried to use diffoscope to compare to PDFs. I got these errors:
>
> │┄ xxd not available in path. Falling back to Python hexlify.
> │┄ 'pdftotext' not available in path. Falling back to binary comparison.
>
> I found that if I installed packages `xxd' and `xpdf' into my environment, the errors go away and I can compare line-by-line as expected.

It is impractical to install all of the available tools that diffoscope
supports, as it supports an absurd number of file formats and thus uses
a very large number of tools.

You can call "diffoscope --list-missing" to give suggestions about
packages you might want to add, and as you've observed, diffoscope
suggests what to install to get better support for the files it is
currently testing.

live well,
  vagrant